Method: globalFrontendSettings.get

Gets the Global Frontend Billing Bundle Settings for a project.

HTTP request


GET https://compute.googleapis.com/compute/beta/projects/{project}/global/globalFrontendSettings

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
project

string

Request body

The request body must be empty.

Response body

Represents the Global Frontend Bundle settings for a single project.

If successful, the response body contains data with the following structure:

JSON representation
{
  "id": string,
  "bundleType": enum,
  "name": string,
  "etag": string,
  "creationTimestamp": string,
  "selfLink": string,
  "description": string
}
Fields
id

string (uint64 format)

Output only. The unique identifier for the resource. This identifier is defined by the server.

bundleType

enum

Customer-settable bundle type.

name

string

Output only. OUTPUT_ONLY fields Output only. Name of the resource. Must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.

etag

string

Output only. For optimistic locking

creationTimestamp

string

Output only. Creation timestamp in RFC3339 text format.

description

string

Output only. An optional description of this resource.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/compute.readonly
  • https://www.googleapis.com/auth/compute
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.